Page 2 of 2 FirstFirst 12
Results 11 to 20 of 20

Thread: ZCP 7.2.4 RC1 has been released

  1. #11
    Member
    Join Date
    Jul 2008
    Location
    Saarbruecken, Germany
    Posts
    81
    Thanks for the quick fix. I installed the new package and it works - at least the licensed. I'm going to test the rest soon.

    Best regards,
    Marco
    Zarafa Gold Partner and Linux Solutions - http://www.inett.de/

  2. #12
    Senior Member
    Join Date
    Jul 2010
    Posts
    431
    Agreed, Zarafa have confirmed that zarafa-backup-plus deletes files from the backup that you delete from zarafa! This means if you delete an email and empty deleted items it gets deleted from the backup, this is crazy. zarafa-backup-plus is not a backup, more of a mirror. Until this is fixed normal zarafa-backup must continue to be distributed.

  3. #13
    Member voleatech's Avatar
    Join Date
    Sep 2013
    Location
    Reutlingen
    Posts
    86
    Hi,

    also the init script for the search and presence daemon in Debian 7 are not working.
    They start the daemon but not recognizing it after the start.
    Also changing it to a PID status also does not work as the daemon is spawning after the start and therefore no pid can be saved.

    This is going on since the first release and I don't know how you are not able to fix this.

    Best
    Sven
    Voleatech IT Lösungen
    Voleatech GmbH
    Uhlandstr. 60
    72793 Pfullingen
    E-Mail: [email protected]
    www.voleatech.de

  4. #14
    Senior Member
    Join Date
    Mar 2011
    Posts
    346
    The el7 package won't upgrade zcp-7.2.3.657, as it's missing php-mapi-webapp.
    As far as I understand, this would be provided bij php-mapi, but it doesn't.
    See the following message when upgrading with yum:

    Error: Package: zarafa-webapp-2.2.0.414-185.1.noarch (@xxxrepo-noarch)
    Requires: php-mapi-webapp
    Removing: php-mapi-7.2.3.657-58.1.x86_64 (@/php-mapi-7.2.3.657-58.1.x86_64)
    php-mapi-webapp = 7.2.3.657-58.1
    Updated By: php-mapi-7.2.4.14-87.1.x86_64 (/php-mapi-7.2.4.14-87.1.x86_64)
    Not found

  5. #15
    Zarafa Testing
    Suyi's Avatar
    Join Date
    Jul 2008
    Location
    irc.freenode.com > #zarafa
    Posts
    839
    Thanks, also got feedback from Felix that it works.
    if you got more input on the NLTM issue, please us via the forum or Felix know.
    -Suyi
    Looking for users to test our releases, interested? send me a PM

  6. #16
    Zarafa Testing
    Suyi's Avatar
    Join Date
    Jul 2008
    Location
    irc.freenode.com > #zarafa
    Posts
    839
    I have seen your thread, I will get back to you on that topic.
    -Suyi

    ---------- Post added ----------

    hi,

    I will make sure that with the next final release we will fix this, the following two tickets have been created:
    https://jira.zarafa.com/browse/ZCP-13971
    https://jira.zarafa.com/browse/ZCP-13970
    -Suyi

    ---------- Post added ----------

    this should be addressed with the next release.
    Looking for users to test our releases, interested? send me a PM

  7. #17
    Senior Member
    Join Date
    Mar 2012
    Posts
    136

    when is release / plus more package errors

    RHEL-7 / CentOS here.

    When will this be? I've been tracking upgrading from 7.2.1.51838 on a staging server.

    First, it won't do a straight upgrade. No "yum localinstall" works due to package dependency errors.

    Second, once I UNINSTALL all zarafa and lib* packages and reinstall the new stuff, I run into the same error as the other user above with php-mapi. This is using a license on the staging server for testing, too.

    For whatever reason, this is not the first time I've had to do UNINSTALLS completely in order to "upgrade." It's getting old.

    When I get to the end of the info on what packages/rpms will be updated, these are the errors:

    ---> Package zarafa-spooler.x86_64 0:7.2.1.51838-319.2 will be updated
    ---> Package zarafa-spooler.x86_64 0:7.2.4.14-87.1 will be an update
    ---> Package zarafa-utils.x86_64 0:7.2.1.51838-319.2 will be updated
    ---> Package zarafa-utils.x86_64 0:7.2.4.14-87.1 will be an update
    --> Running transaction check
    ---> Package libfreebusy0.x86_64 0:7.2.1.51838-319.2 will be updated
    --> Processing Dependency: libfreebusy0 = 7.2.1.51838-319.2 for package: zarafa-devel-7.2.1.51838-319.2.x86_64
    ---> Package libicalmapi1.x86_64 0:7.2.1.51838-319.2 will be updated
    --> Processing Dependency: libicalmapi1 = 7.2.1.51838-319.2 for package: zarafa-devel-7.2.1.51838-319.2.x86_64
    ---> Package libinetmapi1.x86_64 0:7.2.1.51838-319.2 will be updated
    --> Processing Dependency: libinetmapi1 = 7.2.1.51838-319.2 for package: zarafa-devel-7.2.1.51838-319.2.x86_64
    ---> Package libmapi1.x86_64 0:7.2.1.51838-319.2 will be updated
    --> Processing Dependency: libmapi.so.1(EC_7.2.1)(64bit) for package: libmapicalendar0-7.2.1.51838-328.1.x86_64
    --> Processing Dependency: libmapi.so.1(EC_7.2.1)(64bit) for package: libmapitimezone0-7.2.1.51838-328.1.x86_64
    --> Processing Dependency: libmapi1 = 7.2.1.51838-319.2 for package: zarafa-devel-7.2.1.51838-319.2.x86_64
    ---> Package libs3.x86_64 0:2.0-0.4.20160322git0759f1d.el7 will be installed
    ---> Package libzarafa-archiver-core0.x86_64 0:7.2.1.51838-319.2 will be updated
    --> Processing Dependency: libzarafa-archiver-core0 = 7.2.1.51838-319.2 for package: zarafa-devel-7.2.1.51838-319.2.x86_64
    ---> Package libzarafa-archiver0.x86_64 0:7.2.1.51838-319.2 will be updated
    --> Processing Dependency: libzarafa-archiver0 = 7.2.1.51838-319.2 for package: zarafa-devel-7.2.1.51838-319.2.x86_64
    ---> Package libzarafa_server0.x86_64 0:7.2.1.51838-319.2 will be updated
    --> Processing Dependency: libzarafa_server0 = 7.2.1.51838-319.2 for package: zarafa-devel-7.2.1.51838-319.2.x86_64
    ---> Package libzarafa_soapclient0.x86_64 0:7.2.1.51838-319.2 will be updated
    --> Processing Dependency: libzarafa_soapclient0 = 7.2.1.51838-319.2 for package: zarafa-devel-7.2.1.51838-319.2.x86_64
    ---> Package libzarafa_soapserver0.x86_64 0:7.2.1.51838-319.2 will be updated
    --> Processing Dependency: libzarafa_soapserver0 = 7.2.1.51838-319.2 for package: zarafa-devel-7.2.1.51838-319.2.x86_64
    ---> Package libzarafasync0.x86_64 0:7.2.1.51838-319.2 will be updated
    --> Processing Dependency: libzarafasync0 = 7.2.1.51838-319.2 for package: zarafa-devel-7.2.1.51838-319.2.x86_64
    ---> Package libzcp_common_mapi0.x86_64 0:7.2.1.51838-319.2 will be updated
    --> Processing Dependency: libzcp_common_mapi.so.0(EC_7.2.1)(64bit) for package: libmapicalendar0-7.2.1.51838-328.1.x86_64
    --> Processing Dependency: libzcp_common_mapi.so.0(EC_7.2.1)(64bit) for package: libmapitimezone0-7.2.1.51838-328.1.x86_64
    --> Processing Dependency: libzcp_common_mapi0 = 7.2.1.51838-319.2 for package: zarafa-devel-7.2.1.51838-319.2.x86_64
    ---> Package libzcp_common_service0.x86_64 0:7.2.1.51838-319.2 will be updated
    --> Processing Dependency: libzcp_common_service0 = 7.2.1.51838-319.2 for package: zarafa-devel-7.2.1.51838-319.2.x86_64
    ---> Package libzcp_common_ssl0.x86_64 0:7.2.1.51838-319.2 will be updated
    --> Processing Dependency: libzcp_common_ssl0 = 7.2.1.51838-319.2 for package: zarafa-devel-7.2.1.51838-319.2.x86_64
    ---> Package libzcp_common_util0.x86_64 0:7.2.1.51838-319.2 will be updated
    --> Processing Dependency: libzcp_common_util.so.0(EC_7.2.1)(64bit) for package: libmapicalendar0-7.2.1.51838-328.1.x86_64
    --> Processing Dependency: libzcp_common_util.so.0(EC_7.2.1)(64bit) for package: libmapitimezone0-7.2.1.51838-328.1.x86_64
    --> Processing Dependency: libzcp_common_util0 = 7.2.1.51838-319.2 for package: zarafa-devel-7.2.1.51838-319.2.x86_64
    ---> Package python-mapi.x86_64 0:7.2.4.14-87.1 will be an update
    --> Processing Dependency: libzcp_pyconv.so.0(EC_7.2.4)(64bit) for package: python-mapi-7.2.4.14-87.1.x86_64
    --> Processing Dependency: libzcp_pydirector.so.0(EC_7.2.4)(64bit) for package: python-mapi-7.2.4.14-87.1.x86_64
    --> Processing Dependency: libzcp_pyconv.so.0()(64bit) for package: python-mapi-7.2.4.14-87.1.x86_64
    --> Processing Dependency: libzcp_pydirector.so.0()(64bit) for package: python-mapi-7.2.4.14-87.1.x86_64
    ---> Package zarafa.x86_64 0:7.2.1.51838-319.2 will be obsoleted
    --> Processing Dependency: zarafa = 7.2.1.51838 for package: zarafa-devel-7.2.1.51838-319.2.x86_64
    --> Processing Dependency: zarafa = 7.2.1.51838 for package: zarafa-webaccess-7.2.1.51838-319.2.x86_64
    ---> Package zarafa-server-packages.x86_64 0:7.2.4.14-87.1 will be an update
    --> Processing Dependency: zarafa-backup-plus = 7.2.4.14 for package: zarafa-server-packages-7.2.4.14-87.1.x86_64
    --> Finished Dependency Resolution
    Error: Package: libmapitimezone0-7.2.1.51838-328.1.x86_64 (@/libmapitimezone0-7.2.1.51838-328.1.x86_64)
    Requires: libmapi.so.1(EC_7.2.1)(64bit)
    Removing: libmapi1-7.2.1.51838-319.2.x86_64 (@/libmapi1-7.2.1.51838-319.2.x86_64)
    libmapi.so.1(EC_7.2.1)(64bit)
    Updated By: libmapi1-7.2.4.14-87.1.x86_64 (/libmapi1-7.2.4.14-87.1.x86_64)
    ~libmapi.so.1(EC_7.2.4)(64bit)
    Error: Package: zarafa-devel-7.2.1.51838-319.2.x86_64 (@/zarafa-devel-7.2.1.51838-319.2.x86_64)
    Requires: libzarafa_soapserver0 = 7.2.1.51838-319.2
    Removing: libzarafa_soapserver0-7.2.1.51838-319.2.x86_64 (@/libzarafa_soapserver0-7.2.1.51838-319.2.x86_64)
    libzarafa_soapserver0 = 7.2.1.51838-319.2
    Updated By: libzarafa_soapserver0-7.2.4.14-87.1.x86_64 (/libzarafa_soapserver0-7.2.4.14-87.1.x86_64)
    libzarafa_soapserver0 = 7.2.4.14-87.1
    Error: Package: libmapicalendar0-7.2.1.51838-328.1.x86_64 (@/libmapicalendar0-7.2.1.51838-328.1.x86_64)
    Requires: libzcp_common_util.so.0(EC_7.2.1)(64bit)
    Removing: libzcp_common_util0-7.2.1.51838-319.2.x86_64 (@/libzcp_common_util0-7.2.1.51838-319.2.x86_64)
    libzcp_common_util.so.0(EC_7.2.1)(64bit)
    Updated By: libzcp_common_util0-7.2.4.14-87.1.x86_64 (/libzcp_common_util0-7.2.4.14-87.1.x86_64)
    ~libzcp_common_util.so.0(EC_7.2.4)(64bit)
    Error: Package: zarafa-devel-7.2.1.51838-319.2.x86_64 (@/zarafa-devel-7.2.1.51838-319.2.x86_64)
    Requires: libmapi1 = 7.2.1.51838-319.2
    Removing: libmapi1-7.2.1.51838-319.2.x86_64 (@/libmapi1-7.2.1.51838-319.2.x86_64)
    libmapi1 = 7.2.1.51838-319.2
    Updated By: libmapi1-7.2.4.14-87.1.x86_64 (/libmapi1-7.2.4.14-87.1.x86_64)
    libmapi1 = 7.2.4.14-87.1
    Error: Package: zarafa-devel-7.2.1.51838-319.2.x86_64 (@/zarafa-devel-7.2.1.51838-319.2.x86_64)
    Requires: libicalmapi1 = 7.2.1.51838-319.2
    Removing: libicalmapi1-7.2.1.51838-319.2.x86_64 (@/libicalmapi1-7.2.1.51838-319.2.x86_64)
    libicalmapi1 = 7.2.1.51838-319.2
    Updated By: libicalmapi1-7.2.4.14-87.1.x86_64 (/libicalmapi1-7.2.4.14-87.1.x86_64)
    libicalmapi1 = 7.2.4.14-87.1
    Error: Package: zarafa-webaccess-7.2.1.51838-319.2.x86_64 (@/zarafa-webaccess-7.2.1.51838-319.2.x86_64)
    Requires: zarafa = 7.2.1.51838
    Removing: zarafa-7.2.1.51838-319.2.x86_64 (@/zarafa-7.2.1.51838-319.2.x86_64)
    zarafa = 7.2.1.51838-319.2
    Obsoleted By: zarafa-common-7.2.4.14-87.1.x86_64 (/zarafa-common-7.2.4.14-87.1.x86_64)
    zarafa = 7.2.4.14-87.1
    Available: zarafa-7.1.14-2.el7.x86_64 (epel)
    zarafa = 7.1.14-2.el7
    Error: Package: python-mapi-7.2.4.14-87.1.x86_64 (/python-mapi-7.2.4.14-87.1.x86_64)
    Requires: libzcp_pyconv.so.0(EC_7.2.4)(64bit)
    Error: Package: zarafa-devel-7.2.1.51838-319.2.x86_64 (@/zarafa-devel-7.2.1.51838-319.2.x86_64)
    Requires: libzarafa_server0 = 7.2.1.51838-319.2
    Removing: libzarafa_server0-7.2.1.51838-319.2.x86_64 (@/libzarafa_server0-7.2.1.51838-319.2.x86_64)
    libzarafa_server0 = 7.2.1.51838-319.2
    Updated By: libzarafa_server0-7.2.4.14-87.1.x86_64 (/libzarafa_server0-7.2.4.14-87.1.x86_64)
    libzarafa_server0 = 7.2.4.14-87.1
    Error: Package: python-mapi-7.2.4.14-87.1.x86_64 (/python-mapi-7.2.4.14-87.1.x86_64)
    Requires: libzcp_pyconv.so.0()(64bit)
    Error: Package: zarafa-devel-7.2.1.51838-319.2.x86_64 (@/zarafa-devel-7.2.1.51838-319.2.x86_64)
    Requires: libzcp_common_service0 = 7.2.1.51838-319.2
    Removing: libzcp_common_service0-7.2.1.51838-319.2.x86_64 (@/libzcp_common_service0-7.2.1.51838-319.2.x86_64)
    libzcp_common_service0 = 7.2.1.51838-319.2
    Updated By: libzcp_common_service0-7.2.4.14-87.1.x86_64 (/libzcp_common_service0-7.2.4.14-87.1.x86_64)
    libzcp_common_service0 = 7.2.4.14-87.1
    Error: Package: zarafa-server-packages-7.2.4.14-87.1.x86_64 (/zarafa-server-packages-7.2.4.14-87.1.x86_64)
    Requires: zarafa-backup-plus = 7.2.4.14
    Error: Package: libmapicalendar0-7.2.1.51838-328.1.x86_64 (@/libmapicalendar0-7.2.1.51838-328.1.x86_64)
    Requires: libzcp_common_mapi.so.0(EC_7.2.1)(64bit)



    etc ....

  8. #18
    Zarafa Testing
    Suyi's Avatar
    Join Date
    Jul 2008
    Location
    irc.freenode.com > #zarafa
    Posts
    839
    fixed with the upcoming release ->
    if you are interested, please send me a PM if you want to get these packages.

    -Suyi
    Looking for users to test our releases, interested? send me a PM

  9. #19
    Member voleatech's Avatar
    Join Date
    Sep 2013
    Location
    Reutlingen
    Posts
    86
    Hi,

    I am also still seeing:

    Jun 30 07:15:01 zarafa kernel: [312574.422540] netlink: 4 bytes leftover after parsing attributes in process `z-s: 127.0.0.1'.
    Jun 30 07:15:01 zarafa kernel: [312574.442470] netlink: 4 bytes leftover after parsing attributes in process `z-s: 127.0.0.1'.

    Best
    Sven
    Voleatech IT Lösungen
    Voleatech GmbH
    Uhlandstr. 60
    72793 Pfullingen
    E-Mail: [email protected]
    www.voleatech.de

  10. #20
    Zarafa Testing
    Suyi's Avatar
    Join Date
    Jul 2008
    Location
    irc.freenode.com > #zarafa
    Posts
    839
    yes, and fixed with the next rc release.
    Looking for users to test our releases, interested? send me a PM

Page 2 of 2 FirstFirst 12

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •